use crate::level::Level;
use crate::player::Player;

pub const LEVELS: usize = 2;

pub struct Game<'game> {
    pub player: &'game mut Player,
    pub levels: Vec<Level>,
}

impl Game<'_> {
    pub fn new(p: &mut Player) -> Game {
        let mut v: Vec<Level> = Vec::with_capacity(LEVELS);
        for _ in 0..LEVELS {
            let l = Level::new();
            v.push(l);
        }
        Game {
            player: p,
            levels: v,
        }
    }
}